version 0.6.6 (06/09/2011):

version 0.6.5 (01/01/2010):

05/28/2008 Bob Rossi <bob@brasko.net>

   * NEWS: Updating NEWS about new cgdb command synonyms, and some new 
   commands.

03/27/2008 Bob Rossi <bob@brasko.net>

   * NEWS: Updating NEWS about removing the shortcut option.

version 0.6.4 (28/04/2007):

02/07/2007 Bob Rossi <bob@brasko.net>

   * NEWS: Added NEWS about a bug fix.

01/17/2007 Bob Rossi <bob@brasko.net>

	* NEWS: Fix bug with whitespace in path.

12/29/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Note about escdelay removal, and new options.

12/27/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Update for bug fix in libkui.

10/04/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Update changes to the -d CLI option. Update the new
	'--' command line option.

10/03/2006 Bob Rossi <bob@brasko.net>

	* configure.init: AC_CHECK_HEADERS for getopt should not abort.
	* NEWS: Update with new bug fix.

6/08/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Update with new bug fix.
	* configure.init: Change AC_CHECK_HEADERS to abort on error.

6/03/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Some modifications to make during the next
	release.

version 0.6.3 (03/06/2006):

6/03/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Improve upload.sh script.

6/03/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Improve upload.sh script.

6/03/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Update procedure.
	* Makefile.am (dist-hook): Fix for svn, instead of CVS.

6/03/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Another upload.sh fix.

6/03/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Fix svn tag command. Fix cgdb.email.
	* release-todo.txt: Update.

6/03/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Copy configure.in over.
	* autoregen.sh: Only generate configure.in if called standalone.

6/03/2006 Bob Rossi <bob@brasko.net>

	* configure.in: Deleted.
	* configure.init: Added.
	* autoregen.sh: Copy configure.init to configure.in.

6/03/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Steps are even more automated.
	* release-todo.txt: Describe manual steps needed to be taken for
	release.

6/02/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh (configure): Remove --with-readline, ubuntu supports
	readline-5.1 now.
	* configure.in: Check in configure.in with number that describes that
	the version is generated from autoregen.sh.
    
6/01/2006 Bob Rossi <bob@brasko.net>

	* configure.in (AC_INIT): Make version say it should be generated.

5/31/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Pass correct version number to autoregen.sh
	* autoregen.sh: Update configure.in to have version number as the 
	date if a version number isn't passed in.
	
5/31/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Trying to update for svn.

5/31/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Remove change regarding 'list' feature.

5/23/2006 Bob Rossi <bob@brasko.net>

	* autoregen.sh: Remove the auto tool version checks.

5/23/2006 Bob Rossi <bob@brasko.net>

	* NEWS: CGDB no longer supports the shell command. It was never
	released with this functionality however.

5/23/2006 Bob Rossi <bob@brasko.net>

	* TODO: Fix bison TODO item.

5/21/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add note about fixed pty in NEWS file.

5/17/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add note about switching to SVN.

5/13/2006 Bob Rossi <bob@brasko.net>

	* config/readline_check_version.m4: Fix 'test' condition.
	* NEWS: Add entry for the above fix.

5/05/2006 Bob Rossi <bob@brasko.net>

	* TODO: Another suggestion by bluffer_.

5/03/2006 Bob Rossi <bob@brasko.net>

	* config/readline_check_version.m4 (RL_LIB_READLINE_INCLUDES): No
	longer check to see if add_history () is around. add_history () 
	will always be available if readline is available.
	Check for readline.h and readline/readline.h and return configure
	error if neither is available. Check for history.h and
	readline/history.h and return error if neither is available.

5/03/2006 Bob Rossi <bob@brasko.net>

	* TODO: More stuff todo.

4/27/2006 Bob Rossi <bob@brasko.net>

	* indent.sh: Added.
	* README: Describes use of indent.sh.

4/23/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Fix date added to ChangeLog's.

4/14/2006 Bob Rossi <bob@brasko.net>

	* Makefile.am (DIST_SUBDIRS): Added lib.

4/14/2006 Bob Rossi <bob@brasko.net>

	* autorelease.sh: Remove --enable-maintainer-mode.
	* configure.in (AM_MAINTAINER_MODE): Removed.

4/14/2006 Bob Rossi <bob@brasko.net>

	* configure.in (AC_INIT): Update version.

4/14/2006 Bob Rossi <bob@brasko.net>

	* README: Document better how to build CGDB.

4/14/2006 Bob Rossi <bob@brasko.net>

	* autoregen.sh: Call lib/gdbmi autoregen script also.
	* configure.in (AC_CONFIG_SBUDIRS): Add call to lib/gdbmi.
	(AC_OUTPUT): Remove lib/gdbmi/Makefile lib/gdbmi/src/Makefile.

4/14/2006 Bob Rossi <bob@brasko.net>

	* BRANCHES: Removed file.
	* TODO: Added, used to be RELEASE_TODO.
	* RELEASE_TODO: Removed.
	* FAQ: Quick fix.

4/14/2006 Bob Rossi <bob@brasko.net>

	* Removed all autoconf generated files from CVS.

4/13/2006 Bob Rossi <bob@brasko.net>

	* Makefile.am (SUBDIRS): Added gdbmi.
	* Makefile.in: Autogenerated.
	* configure: Autogenerated.
	* configure.in (AC_OUTPUT): Added gdbmi.

4/13/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Note about c89 conformance.

4/10/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Note about cgdb.txt being installed.
	* autorelease.sh: No longer run ht.pl.
	* ht.pl: Removed.

4/09/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Remove software requirement.

version 0.6.2 (04/09/2006):

4/09/2006 Bob Rossi <bob@brasko.net>

	* auto-release.sh: Update script.

4/09/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Remove software requirement.
	* auto-release.sh: New release script.

4/05/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add note.

4/05/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Fix cgdb.1 step.

4/05/2006 Bob Rossi <bob@brasko.net>

	* Makefile.in: Autogenerated.
	* aclocal.m4: Autogenerated.
	* config.h.in: Autogenerated.
	* configure: Autogenerated.
	* configure.in (VL_LIB_READLINE): Remove call. Configure readline
	using RL_LIB_READLINE_VERSION.
	(RL_LIB_READLINE_INCLUDES): Added.
	* config/readline_check_version.m4 (RL_LIB_READLINE_INCLUDES): Added.
	* various/Makefile.in: Autogenerated.

4/04/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add comment.
	* configure: Autogenerated.
	* conifgure.in: Remove comments.
	* config/readline.m4: Remove termcap possibility.
	* config/readline_check_version.m4: Ditto.

3/29/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add bug fix note.

3/14/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add release note.

3/07/2006 Bob Rossi <bob@brasko.net>
    
	* configure.in (AC_INIT): Version update for CVS.
	* configure: Autogenerated.

version 0.6.1 (03/06/2006):

3/06/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add release data.

3/06/2006 Bob Rossi <bob@brasko.net>

	* release-todo: Fix typo.

3/06/2006 Bob Rossi <bob@brasko.net>
    
	* configure.in (AC_INIT): Version update.
	* configure: Autogenerated.

3/06/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update for .6.1 release.

3/06/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add note for tab completion.
	* RELEASE_TODO: Fixed last bug I know of for .6.2.

3/05/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finished tab completion feature request.

3/05/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add note for tab completion (quoting lines).

3/05/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add note for tab completion.

3/01/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Another minor bug for .6.1

2/27/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update for .6.1

2/26/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Moved task to .6.2

2/25/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finish another task.

2/25/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add another release problem.

2/25/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Document new highlight command.
	* NEWS: Add note about manual.

2/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Reorganize for .6.1

2/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add some tasks.
	
2/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finished a problem.

2/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Remove 2 not needed tasks.
	
2/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add several new tasks to do.

2/23/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Added some new functionality for the user to see.

2/23/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Added some extra stuff to do.

2/18/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Fix a bug introduced in 0.6.0.

2/16/2006 Bob Rossi <bob@brasko.net>

	* configure: Autogenerated.
	* configure.in (AC_INIT): Add version number.
	(AM_INIT_AUTOMAKE): Remove parameters.

2/13/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add feature request task.

2/08/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add possible integration of libopts.

2/04/2006 Bob Rossi <bob@brasko.net>

	* release-todo: Simplify the man page step for releasing.

2/04/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finished autogenerating man pages with help2man.

2/04/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add nightly distribution task.

2/04/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finish man page task.

2/04/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add new note.

1/31/2006 Bob Rossi <bob@brasko.net>

	* README: Fix path.
	* RELEASE_TODO: Add tasks for 0.6.1.

1/30/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Fixing documentation.

version 0.6.0 (01/30/2006):

1/30/2006 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Fixing documentation step.

1/30/2006 Bob Rossi <bob@brasko.net>

	* configure.in (AM_INIT_AUTOMAKE): Version update.
	* configure: Autogenerated.
	* release-todo.txt: Fixing order.

1/30/2006 Bob Rossi <bob@brasko.net>

	* configure.in: Fix message to user to use correct CGDB option.
	* configure: Autogenerated.

1/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Just about ready.

1/24/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Getting ready for .6.0
	* NEWS: The documentation updates.

1/24/2006 Bob Rossi <bob@brasko.net>

	* README: Minor changes.
	* release-todo.txt: Update the text version doco.

1/24/2006 Bob Rossi <bob@brasko.net>

	* NEWS: Add not about another crash fix.

1/23/2006 Bob Rossi <bob@brasko.net>

	* config.h.in: Autogenerated.
	* configure: Ditto.
	* configure.in (AC_CHECK_HEADERS): Removed recently added ncurses.h.

1/23/2006 Bob Rossi <bob@brasko.net>

	* FAQ: Update readline dependency.
	* README: Now is a simple document, describing where the manual is
	and other useful information a user will want to know.
	* release-todo.txt: Replace numbers with -.

1/20/2006 Bob Rossi <bob@brasko.net>

	* config.h.in: Autogenerated.
	* configure: Ditto.
	* configure.in (AC_CHECK_HEADERS): Added ncurses.h.

1/20/2006 Bob Rossi <bob@brasko.net>

	* configure.in: Remove building cgdb/src/wm directory.
	* configure: Autogenerated:

1/20/2006 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finished working on documentation. 

1/19/2006 Bob Rossi <bob@brasko.net>
      
	* README: Autogenerated.
	* release-todo.txt: Update instructions to replace README.

1/19/2006 Bob Rossi <bob@brasko.net>

	* configure.in (AM_MAINTAINER_MODE): Added again.
	* Makefile.in: Autogenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.o
	* various/Makefile.in: Ditto.

1/14/2006 Bob Rossi <bob@brasko.net>

	* configure.in (AM_MAINTAINER_MODE): Removed.
	* Makefile.in: Autogenerated.
	* aclocal.m4: Ditto.
	* configure: Ditto.o
	* various/Makefile.in: Ditto.
	* config/readline_check_version.m4
	(BASH_CHECK_LIB_TERMCAP,RL_LIB_READLINE_VERSION):
	Update to avoid warnings.
	* FAQ: Update auto-tool versions.
	* release-todo.txt: Ditto.

12/27/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

12/27/2005 Bob Rossi <bob@brasko.net>

	* Makefile.am (SUBDIRS): Added doc directory.
	(DIST_SUBDIRS): Ditto.
	* Makefile.in: Autogenerated.
	* configure: Autogenerated.
	* configure.in (AC_OUTPUT): Add doc directory.
	* config/mdate-sh: Added.
	* config/texinfo.tex: Added.

12/25/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

12/24/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

12/20/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed a CGDB bug.

12/20/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Add note about initial file and line discovery.
	* RELEASE_TODO: Update.

11/26/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

11/23/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

11/23/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

11/23/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update.

11/23/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Rearrange items.

11/23/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Finish task for .6.0

11/21/2005 Bob Rossi <bob@brasko.net>

	* configure.in: Update to have -lreadline before -lncurses
	* configure: Autogenerated.

11/20/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update with long list of .6.0 items.

11/12/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update todo.

10/06/2005 Bob Rossi <bob@brasko.net>

	* README: Added a small description about control flow.
	* NEWS: Add note about control flow being supported.

09/30/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Update for line continuation compatibility.

09/30/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Update for linking diretly to readline.
	* configure.in: Only allow readline version 5.1.
	Remove the rlctx interface and add the rline interface.
	* configure: Autogenerated.
	* various/Makefile.am (SUBDIRS): Changed rlctx to rline.
	* various/Makefile.in: Autogenerated.

09/12/2005 Bob Rossi <bob@brasko.net>

   * NEWS: Update with syntax bug fix.

08/12/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add item for next release.

08/10/2005 Bob Rossi <bob@brasko.net>

	* configure.in (RL_LIB_READLINE_VERSION): Detect 4.2a as OK.
	(AM_INIT_AUTOMAKE): Version update.
	* configure: Autogenerated.
	* NEWS: Update fix info.

version 0.5.3 (08/08/2005):

08/08/2005 Bob Rossi <bob@brasko.net>

	* configure.in (AM_INIT_AUTOMAKE): Version update.
	* configure: Autogenerated.
	* NEWS: Update file for release.

08/02/2005 Bob Rossi <bob@brasko.net>

	* config/readline_check_version.m4: Add new macro.

08/02/2005 Bob Rossi <bob@brasko.net>

	* Makefile.in: Autogenerated.
	* aclocal.m4 (BASH_CHECK_LIB_TERMCAP): Added.
	(RL_LIB_READLINE_VERSION): Added.
	* config.h.in: Autogenerated.
	* configure: Autogenerated.
	* configure.in: Check readline version to link against.
	* various/Makefile.in: Autogenerated.
	* NEWS: Add release note.

08/02/2005 Bob Rossi <bob@brasko.net>

	* Makefile.am (SUBDIRS): Remove READLINE_DIR.
	(EXTRA_DIST): Remove READLINE_DIR.
	* Makefile.in: Autogenerated.
	* NEWS: Readline is no longer packaged.
	* configure.in: Remove debugging information.
	Remove internal readline configuration.
	* various/Makefile.in: Autogenerated.

07/28/2005 Bob Rossi <bob@brasko.net>

	* Makefile.am (EXTRA_DIST): Undo last commit.
	* Makefile.in: Autogenerated.

07/28/2005 Bob Rossi <bob@brasko.net>

	* Makefile.am (EXTRA_DIST): Fix READLINE_DIR directory.
	* Makefile.in: Autogenerated.

07/27/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update todo task for release after .5.3.

07/27/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Move final task for .5.3.
	* readline-5.0/configure (opt_shared_libs): Modified default value
	from yes to no.

07/26/2005 Bob Rossi <bob@brasko.net>

	* FAQ: Update.
	* RELEASE_TODO: Update todo for next release.

07/26/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Add note about new temporary breakpoint functionality.

07/26/2005 Marcel Lanz <marcel.lanz@ds9.ch>

	* README (Source Window): Changed 't' key to be the 'I' key.
	(Source Window): Added new documentation for the 't' key.

07/23/2005 Mike Mueller <mike@subfocal.net>

    * cgdb/src/sources.c: Fixed crash and better respect of tabs in
    draw_current_line (the new arrowstyle method).

07/14/2005 Bob Rossi <bob@brasko.net>

	* README: Added documentation for packaged readline
	* RELEASE_TODO: Updated necessary work to do for next release.

07/13/2005 Bob Rossi <bob@brasko.net>

	* Makefile.am (SUBDIRS): Added $(READLINE_DIR).
	(EXTRA_DIST): Ditto.
	(DIST_SUBDIRS): Add the list of directories to be installed.
	* Makefile.in: Autogenerated.
	* config.h.in: Ditto.
	* configure: Ditto.
	* configure.in: Add support for internal or system readline.
	* various/Makefile.in: Autogenerated.

06/30/2005 Bob Rossi <bob@brasko.net>

   * README (Window Key): Window key can not be read in.

06/24/2005 Mike Mueller <mike@subfocal.net>

    * Fixed arrowstyle bugs:
        1. Tabs were broken, not treated as whitespace (results in short arrow)
        2. Arrow drawn on top of code when horizontally scrolled
    * RELEASE_TODO (cgdb-0.5.3): Updated arrow and ACS issues
    * README: Added documentation for the arrowstyle option

06/20/2005 Bob Rossi <bob@brasko.net>

    * RELEASE_TODO (cgdb-0.5.3): Add new task for .5.3.

06/18/2005 Mike Mueller <mike@subfocal.net>

    * NEWS: Added a new 'arrowstyle' option at a user's request

05/26/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO (cgdb-0.5.3): Add new task for .5.3.

05/26/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Add new command to news file.
	* README (At Source Window): Add the ^l command.
	* RELEASE_TODO: Modify todo.

05/26/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add some more work to be done.

05/23/2005 Bob Rossi <bob@brasko.net>

	* aclocal.m4: Autogenerated.
	* configure: Autogenerated.
	* config/readline.m4: Check for history library to pass autoconf tests.
	Changed message printed when libreadline or libhistory fail to be found.
	* NEWS: It's now an error not to have GNU readline or history library.

05/23/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Preparing some work to be done for .5.3.
	* NEWS: Announcing changes for the next release.
	* aclocal.m4: Autogenerated.
	* configure: Autogenerated.
	* config/readline.m4: Modified to only search for libreadline.

05/21/2005 Bob Rossi <bob@brasko.net>

	* configure.in (AM_INIT_AUTOMAKE): Version update.
	* configure: Autogenerated.

version 0.5.2 (05/21/2005):

05/21/2005 Bob Rossi <bob@brasko.net>

	* FAQ: Change autotool versions.

05/20/2005 Bob Rossi <bob@brasko.net>

	* configure.in (AM_INIT_AUTOMAKE): Version update.
	* configure: Autogenerated.

05/20/2005 Bob Rossi <bob@brasko.net>

	* Makefile.in: Autogenerated.
	* autoregen.sh: Added line to update out of date files.
	* config/config.guess: Autogenerated.
	* config/config.sub: Autogenerated.

05/20/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Autoconf/Automake changes.

05/20/2005 Bob Rossi <bob@brasko.net>

	* configure.in (--with-ncurses-prefix): Add CPPFLAGS.
	(--with-curses-prefix): Ditto.
	(--with-readline-prefix): Ditto.
	* configure: Auto generated.

05/20/2005 Bob Rossi <bob@brasko.net>

	* configure.in (VL_LIB_READLINE): Moved below --with-readline-prefix option.
	* configure: Auto generated.

05/19/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed a bug in CGDB that prevented it from working on several
	platforms.

05/16/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add some todo stuff before the next release.
	* configure.in: Add --with-readline-prefix option.
	* configure: Auto generated.

04/03/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add sf.net bug to be fixed for next release

04/03/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Add DISTDIR problem to fix for next release

version 0.5.1 (04/02/2005):

04/02/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed another crash.

04/02/2005 Bob Rossi <bob@brasko.net>

	* RELEASE_TODO: Update todo.

04/02/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Add message about obsoleting b and f commands.
	* README: Reformat and remove b and f commands.

04/01/2005 Bob Rossi <bob@brasko.net>

    * release-todo.txt: Update auto tool versions.

04/01/2005 Bob Rossi <bob@brasko.net>
   
   * README: Update autosourcereload option text.
   * Makefile.in: Regenerated with documented autotools version.
   * aclocal.m4: Ditto.
   * configure: Ditto.

03/31/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Mention searching regex bug

03/31/2005 Bob Rossi <bob@brasko.net>

	* configure (VERSION): Update to 0.5.0-cvs
	* configure.in (AM_INIT_AUTOMAKE): Update to 0.5.0-cvs

03/31/2005 Bob Rossi <bob@brasko.net>
	* NEWS: Mention new SIGCHLD code 
	* RELEASE_TODO: Closed the waitpid race condition bug.

03/31/2005 Bob Rossi <bob@brasko.net>
	* RELEASE_TODO: stupid todo things I have in mind before release

03/31/2005 Bob Rossi <bob@brasko.net>
	* NEWS: Change :autosourcereload default to off.
	* README (Colon commands): Ditto.

03/31/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Change :source_reload to :edit
	* README (Colon commands): Change :source_reload to :edit

03/30/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed memory error's found due to valgrind.

03/28/2005 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed a bug in the C/C++ tokenizer to highlight source code.

07/28/2004 Bob Rossi <bob@brasko.net>

    * NEWS: Added 'autosourcereload' option and 'source_reload' colon command.
	* README: Documents autosourcereload and source_reload

version 0.5.0 (07/14/2004):

07/12/2004 Bob Rossi <bob@brasko.net>

    * release-todo.txt: Update instructions

07/12/2004 Bob Rossi <bob@brasko.net>

    * configure.in: Changed version number to 0.5.0 for release

07/12/2004 Bob Rossi <bob@brasko.net>

    * NEWS: Fixed a crash in TGDB (buffering commands). Added libkui to CGDB.

06/14/2004 Bob Rossi <bob@brasko.net>

    * NEWS: A fixed crash when parsing the CLI.

version 0.4.2 (05/10/2004):
version 0.4.1 (04/26/2004):

03/31/2004 Bob Rossi <bob@brasko.net>

    * NEWS: A note about fixing a major memory leak in CGDB.
	
03/22/2004 Bob Rossi <bob@brasko.net>

    * Makefile.am: Add doxygen rule to build ./various,./tgdb,./cgdb
	* Makefile.in: Update for people without auto tools

03/02/2004 Bob Rossi <bob@brasko.net>
	
    * Makefile.am: Add doxygen rule for cgdb/lib
	* Makefile.in: Update for people without auto tools

02/27/2004 Bob Rossi <bob@brasko.net>

    * configure.in (AC_OUTPUT): Add cgdb/lib, cgdb/lib/kui and
	cgdb/lib/kui/src

01/09/2004 Bob Rossi <bob@brasko.net>

   * NEWS: Updated to say CGDB now compiles on the HURD 

01/08/2004 Bob Rossi <bob@brasko.net>

   * Makefile.in: regenerated with documented autotools version
	* aclocal.m4: ditto
	* configure: ditto
	* various/Makefile.in: ditto

01/08/2004 Bob Rossi <bob@brasko.net>

    * Merged branch: Ronald's cygwin_package_0_4_0 branch

version 0.4.0-1 cygwin release

12/12/2003 Ronald Landheer-Cieslak <ronald@landheer.com>

    * Makefile.in: regenerated
    * aclocal.m4: ditto
    * configure: ditto
    * various/Makefile.in: ditto

11/16/2003 Bob Rossi <bob@brasko.net>

   	* NEWS: Update for tab completion bug fix in cgdb-0.4.0

10/28/2003 Bob Rossi <bob@brasko.net>

    * release-todo.txt: Update order of things

version 0.4.0 (10/28/2003):

10/28/2003 Bob Rossi <bob@brasko.net>

    * NEWS: Add new release date and version.

10/15/2003 Mike Mueller <mmueller@cs.uri.edu>

    * NEWS: Adding :set wrapscan (ws) option.

10/10/2003 Bob Rossi <bob@brasko.net>

    * Adding doc directory.

10/09/2003 Mike Mueller <mmueller@cs.uri.edu>

    * NEWS: Fixed 'next search' bug where it jumps to the top of the buffer
            when there was no previous search expression.  Also made searches
            wrap around the top/bottom of file.  Hope this is what everyone
            else wants, because I sure do.

09/28/2003 Bob Rossi <bob@brasko.net>

    * NEWS: TGDB now returns TGDB_ABSOLUTE_SOURCE_DENIED when file is not
	available. This is a bug fix.

09/24/2003 Bob Rossi <bob@brasko.net>

    * NEWS: TGDB no checks breakpoints on startup. 

09/23/2003 Bob Rossi <bob@brasko.net>

    * NEWS: Fixed searching bug for CGDB.

09/12/2003 Bob Rossi <bob@brasko.net>

    * NEWS: Fixed crash for when TGDB would try to parse watchpoints.

09/10/2003 Bob Rossi <bob@brasko.net>

    * NEWS: Add new feature. showtgdbcommands.
	* README: Documented new feature, showtgdbcommands.

09/09/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed TGDB bug. TGDB will not return an extra newline when the
	user runs commands many through the GUI fast.

08/27/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed TGDB bug. TGDB will now return the correct line number
	when the user starts gdb with a .gdbinit. Before it would display line 1.

08/20/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed CGDB/TGDB bug. The file dialog window works when the inferior
	was compiled without debug.

08/19/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Fixed CGDB/TGDB bug. Breakpoints are now displayed in CGDB window.

08/17/2003 Bob Rossi <bob@brasko.net>

	* configure.in: Changed version number to 0.3.4-cvs.
	* Makefile.am: added doxygen rule. Creates documentation.
	* release-todo.txt: added line that says to change version number in
	doxygen config files.

version 0.3.4 (08/14/2003):

08/14/2003 Bob Rossi <bob@brasko.net>
    
	* configure.in: Changed version number to 0.3.4 for release
	* NEWS: Added new version number.

08/12/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Updating NEWS file with fix for prompt refresh problem after when
	^c is recieved after the file dialog has been opened.

08/12/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Updating NEWS file with ada highlighting string literal bug.

08/11/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Updating NEWS file with control_c bug fix.

08/01/2003 Bob Rossi <bob@brasko.net>
	
	* NEWS: Updating NEWS file with buffered control key libinput bug.

07/16/2003 Bob Rossi <bob@brasko.net>

	* NEWS: Updating NEWS file with 'string literal' bug.

version 0.3.3a (07/16/2003):

07/15/2003 Bob Rossi <bob@brasko.net>

	* release-todo.txt: Adding the 'cvs tag' command to list.
	Adding the README file to the website.
	* README: Removing the tabs from the README file

version 0.3.3 (07/15/2003):

07/15/2003 Bob Rossi <bob@brasko.net>

	* FAQ: Added bit about tty
    * Changed version number to 0.3.3 for release

07/14/2003 Bob Rossi <bob@brasko.net>

	* README: Removed old pgup,pgdn commands. Added vi style pgup,pgdn.
	* NEWS: Adding progress that should be noted in the NEWS file.

06/25/2003 Bob Rossi <bob_rossi@cox.net>

    * Changed version number to 0.3.2-cvs for cvs development

version 0.3.2 (06/25/2003):

06/25/2003 Bob Rossi <bob_rossi@cox.com>
   
   * README: Added winminheight doc

06/19/2003 Bob Rossi <bob_rossi@cox.com>

	* NEWS: Updating NEWS file with new features for cgdb-0.3.2 release

06/19/2003 Bob Rossi <bob_rossi@cox.com>

	* README: Added dependency information

06/19/2003 Bob Rossi <bob_rossi@cox.com>

	* README: Added tabstop,syntax and escdelay commands

04/28/2003 Bob Rossi <bob_rossi@cox.net>

    * Changed version number to 0.3.1-cvs for cvs development

version 0.3.1 (04/28/2003):

04/28/2003 Bob Rossi <bob_rossi@cox.net>

    * removed '--with-drivers' from configure: All drivers are automatically
    built, but they are not installed. They end up in $(top_srcdir)/progs.

04/27/2003 Bob Rossi <bob_rossi@cox.net>

    * Changed configure to only build cgdb by default: the drivers can only be
    built when the user runs configure with --with-drivers
    * Moved the error check for readline with the readline check in config

version 0.3.0 (04/11/2003):
